<back to all web services

ExportForAddonConfigurationMessage

The following routes are available for this service:
POST/RestApi/Sitefinity/packaging/export-for-packaging
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class ExportForAddonConfigurationMessage
{
    open var StructureExportConfiguration:ArrayList<String>? = null
    open var ContentExportConfiguration:ArrayList<String>? = null
    open var ExportDirectory:String? = null
}

Kotlin ExportForAddonConfigurationMessage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/Sitefinity/packaging/export-for-packaging HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"ExportDirectory":"String"}